﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

body {
    background-color: #edf2f7;
}

*:focus-visible {
    outline: solid 1.5px #000 !important;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2) !important;
}
main .container, main .container-fluid {
    background-color: #fff;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    border-radius: 2px;
    box-shadow: 0px 0.2px 0.4px rgba(0, 0, 0, 0.02), 0px 0.6px 1.1px rgba(0, 0, 0, 0.028), 0px 1.1px 2px rgba(0, 0, 0, 0.035), 0px 2px 3.6px rgba(0, 0, 0, 0.042), 0px 3.8px 6.7px rgba(0, 0, 0, 0.05), 0px 9px 16px rgba(0, 0, 0, 0.07);
}

@media (min-width: 768px) {
    main .container, main .container-fluid {
        padding: 1.5rem;
    }
}

main .container.container-transparent{
    padding:0;
    background:none;
    box-shadow:none;
    border-radius:0;
}

[x-cloak] {
    display: none !important;
}

.btn {
    border-radius: .15rem;
}

.cursor-pointer {
    cursor: pointer;
}
.cursor-move {
    cursor: move;
}

.material-icons, .material-icons-outlined {
    vertical-align: middle;
    line-height: 0 !important;
    position: relative;
    top: -1px;
}
/*
button i.material-icons {
    vertical-align: middle;
    padding-right: 10px;
    margin-right: 10px;
    border-right: 2px groove;
}
*/
.display-5 {
    font-size: 2.5rem;
    font-weight: 300;
    line-height: 1.2;
}

.display-6 {
    font-size: 2rem;
    font-weight: 300;
    line-height: 1.2;
}

.just-a-form-page {
    max-width: 700px;
}

.btn-reset {
    background: none repeat scroll 0 0 transparent;
    border: medium none;
    border-spacing: 0;
    font-size: 16px;
    font-weight: normal;
    list-style: none outside none;
    margin: 0;
    padding: 0;
    text-align: left;
    text-decoration: none;
    text-indent: 0;
}

ol.breadcrumb {
    background-color: unset !important;
}

.breadcrumb-item.active {
    color:#333;
}

button.btn-reset::-moz-focus-inner,
input.btn-reset::-moz-focus-inner {
    border: 0;
    padding: 0;
}

.checkbox-2x {
    transform: scale(2);
    -webkit-transform: scale(2);
}

.checkbox-3x {
    transform: scale(3);
    -webkit-transform: scale(3);
    margin-left: 1rem;
    margin-top: 1rem;
}

.form-control-number {
    max-width: 120px;
}

.btn-group-xs > .btn, .btn-xs {
    padding: .25rem .5rem;
    font-size: .65rem;
    line-height: 1;
    border-radius: .2rem;
}

td .badge{font-size:.75rem;}

.badge-hands-on, .badge.hands-on {
    border: solid 1px #489972;
    color: #3B7D5D;
}

.knowledge-based, .badge.knowledge-based {
    border: solid 1px #2477cc;
    color: #2477cc;
}

.badge-group,.badge.group {
    border: solid 1px #d0642a;
    color: #B55826;
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

html .navbar-light .navbar-nav .nav-link {
    color: #000;
}

html thead.thead-darkish th {
    font-weight: normal !important;
    vertical-align: middle;
    background-color: #36304a !important;
    color: #fff !important;
    font-weight: normal;
}

html table{
    background-color:#fff;
}

html .dataTables_wrapper .dataTables_filter, html  .dt-search {
    float: none;
    text-align: initial;
    margin: 1rem 0;
}

    html .dataTables_wrapper .dataTables_filter input {
        padding: .4em;
    }

html table.dataTable.no-footer {
    border: none;
}

html table.dataTable thead th, html table.dataTable thead td {
    padding: .75rem;
}
/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}


.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}


.skill-group__ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 14rem;
}

.lead {
}

/* Sticky footer styles
-------------------------------------------------- */
html {
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 12rem;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
}

/*accessibility*/


/* https://www.w3.org/TR/2012/NOTE-WCAG20-TECHS-20120103/C7 */
a > span {
    height: 1px;
    width: 1px;
    position: absolute;
    overflow: hidden;
    top: -10px;
}

.bg-danger {
    background-color: #C42134 !important;
}

.text-danger {
    color: #C42134 !important;
}

.btn-info {
    color: #fff;
    background-color: #128091;
    border-color: #128091;
}
/*------------------------------------
- COLOR primary
------------------------------------*/
.alert-primary {
    color: #1e63ac;
    background-color: #10f109102;
    border-color: #fefefe;
}

    .alert-primary hr {
        border-top-color: #e9f1fb;
    }

    .alert-primary .alert-link {
        color: #174a81;
    }

.badge-primary {
    color: #fff;
    background-color: #2475CC;
}

    .badge-primary[href]:hover, .badge-primary[href]:focus {
        color: #fff;
        background-color: #3786db;
    }

.bg-primary {
    background-color: #63a1e3 !important;
}

a.bg-primary:hover, a.bg-primary:focus,
button.bg-primary:hover,
button.bg-primary:focus {
    background-color: #3786db !important;
}

.border-primary {
    border-color: #63a1e3 !important;
}

.btn-primary {
    color: #fff;
    background-color: #2475CC;
    border-color: #2475CC;
}

    .btn-primary:hover {
        color: #fff;
        background-color: #448edd;
        border-color: #3786db;
    }

    .btn-primary:focus, .btn-primary.focus {
        box-shadow: 0 0 0 0.2rem rgba(99, 161, 227, 0.5);
    }

    .btn-primary.disabled, .btn-primary:disabled {
        color: #fff;
        background-color: #63a1e3;
        border-color: #63a1e3;
    }

    .btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active, .show > .btn-primary.dropdown-toggle {
        color: #fff;
        background-color: #3786db;
        border-color: #2a7fd8;
    }

        .btn-primary:not(:disabled):not(.disabled):active:focus, .btn-primary:not(:disabled):not(.disabled).active:focus, .show > .btn-primary.dropdown-toggle:focus {
            box-shadow: 0 0 0 0.2rem rgba(99, 161, 227, 0.5);
        }

.btn-outline-primary {
    color: #2475CC;
    background-color: transparent;
    border-color: #2475CC;
}

    .btn-outline-primary:hover {
        color: #fff;
        background-color: #2475CC;
        border-color: #2475CC;
    }

    .btn-outline-primary:focus, .btn-outline-primary.focus {
        box-shadow: 0 0 0 0.2rem rgba(99, 161, 227, 0.5);
    }

    .btn-outline-primary.disabled, .btn-outline-primary:disabled {
        color: #2475CC;
        background-color: transparent;
    }

    .btn-outline-primary:not(:disabled):not(.disabled):active, .btn-outline-primary:not(:disabled):not(.disabled).active, .show > .btn-outline-primary.dropdown-toggle {
        color: #fff;
        background-color: #2475CC;
        border-color: #2475CC;
    }

        .btn-outline-primary:not(:disabled):not(.disabled):active:focus, .btn-outline-primary:not(:disabled):not(.disabled).active:focus, .show > .btn-outline-primary.dropdown-toggle:focus {
            box-shadow: 0 0 0 0.2rem rgba(99, 161, 227, 0.5);
        }


.btn-outline-info {
    color: #2475CC;
}

.list-group-item-primary {
    color: #1e63ac;
    background-color: #fefefe;
}

    .list-group-item-primary.list-group-item-action:hover, .list-group-item-primary.list-group-item-action:focus {
        color: #1e63ac;
        background-color: #e9f1fb;
    }

    .list-group-item-primary.list-group-item-action.active {
        color: #fff;
        background-color: #1e63ac;
        border-color: #1e63ac;
    }

.table-primary,
.table-primary > th,
.table-primary > td {
    background-color: #fefefe;
}

.table-hover .table-primary:hover {
    background-color: #e9f1fb;
}

    .table-hover .table-primary:hover > td,
    .table-hover .table-primary:hover > th {
        background-color: #e9f1fb;
    }



a.text-primary:hover, a.text-primary:focus {
    color: #3786db !important;
}


.underline-link {
    text-decoration: underline;
}

.btn.btn-link {
    color: #0565cc !important;
}
::placeholder {
    color: #6B7280;
}

@media print {
    /* All your print styles go here */
    .dataTables_filter, .dt-search, footer, .breadcrumb {
        display: none !important;
    }

    ::placeholder {
        color: transparent;
    }

    textarea:empty {
        display: none !important;
    }
}


.skip-to-content-link {
    background: #2475CC;
    color: #fff;
    left: 50%;
    padding: 10px;
    position: absolute;
    transform: translateY(-100%);
    transition: transform 0.3s;
    z-index: 2;
}

    .skip-to-content-link:focus {
        transform: translateY(0%);
    }


.container-small, .container-medium, .container-large {
    max-width: 100%;
    width: 100%;
    padding-left: 15px;
    padding-right: 15px;
}

.container-xs-gutter {
    width: 96.5%;
}

@media (min-width: 500px) {
    .container-small, .container-medium {
        width: 500px;
    }
}

@media (min-width: 768px) {
    .container-small, .container-medium {
        width: 500px;
    }

    .container-large {
        width: 970px;
    }
}

@media (min-width: 992px) {
    .container-small {
        width: 500px;
    }

    .container-medium {
        width: 700px;
    }

    .container-large {
        width: 1100px;
    }
}

@media (min-width: 1200px) {
    .container-small {
        width: 500px;
    }

    .container-xlarge {
        width: 1500px;
    }
}

:root {
    --shadow-color: 0deg 0% 50%;
}

.elevation_low {
    box-shadow: 0.5px 1px 1px hsl(var(--shadow-color) / 0.7);
}

.elevation_medium {
    box-shadow: 1px 2px 2px hsl(var(--shadow-color) / 0.333), 2px 4px 4px hsl(var(--shadow-color) / 0.333), 3px 6px 6px hsl(var(--shadow-color) / 0.333);
}

.elevation_high {
    box-shadow: 1px 2px 2px hsl(var(--shadow-color) / 0.2), 2px 4px 4px hsl(var(--shadow-color) / 0.2), 4px 8px 8px hsl(var(--shadow-color) / 0.2), 8px 16px 16px hsl(var(--shadow-color) / 0.2), 16px 32px 32px hsl(var(--shadow-color) / 0.2);
}

.shadow-close {
    box-shadow: 0px 0.2px 0.4px rgba(0, 0, 0, 0.02), 0px 0.6px 1.1px rgba(0, 0, 0, 0.028), 0px 1.1px 2px rgba(0, 0, 0, 0.035), 0px 2px 3.6px rgba(0, 0, 0, 0.042), 0px 3.8px 6.7px rgba(0, 0, 0, 0.05), 0px 9px 16px rgba(0, 0, 0, 0.07);
}

.shadow-medium {
    box-shadow: 0px 0.7px 1.2px rgba(0, 0, 0, 0.02), 0px 1.7px 2.8px rgba(0, 0, 0, 0.028), 0px 3.1px 5.3px rgba(0, 0, 0, 0.035), 0px 5.6px 9.4px rgba(0, 0, 0, 0.042), 0px 10.4px 17.5px rgba(0, 0, 0, 0.05), 0px 25px 42px rgba(0, 0, 0, 0.07);
}

.shadow-far {
    box-shadow: 0px 1.4px 1.2px rgba(0, 0, 0, 0.02), 0px 3.4px 2.8px rgba(0, 0, 0, 0.028), 0px 6.4px 5.3px rgba(0, 0, 0, 0.035), 0px 11.4px 9.4px rgba(0, 0, 0, 0.042), 0px 21.3px 17.5px rgba(0, 0, 0, 0.05), 0px 51px 42px rgba(0, 0, 0, 0.07);
}

.gap-1{
    gap:.5rem;
}
.gap-2 {
    gap: 1rem;
}